## minidlna 1.0.18

=== Makefile ===
# $Id: Makefile,v 1.26 2010/03/18 21:37:39 jmaggard Exp $
# MiniDLNA project
# http://sourceforge.net/projects/minidlna/
# (c) 2008-2009 Justin Maggard
# for use with GNU Make
# To install use :
# $ PREFIX=/dummyinstalldir make install
# or :
# $ INSTALLPREFIX=/usr/local make install
# or :
# $ make install
#
#CFLAGS = -Wall -O -D_GNU_SOURCE -g -DDEBUG
#CFLAGS = -Wall -g -Os -D_GNU_SOURCE
CFLAGS = -Wall -g -O3 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 \
	 -I/usr/include/ffmpeg \
	 -I/usr/include/libavutil -I/usr/include/libavcodec -I/usr/include/libavformat \
	 -I/usr/include/ffmpeg/libavutil -I/usr/include/ffmpeg/libavcodec -I/usr/include/ffmpeg/libavformat
#STATIC_LINKING: LDFLAGS = -static
CC = gcc
RM = rm -f
INSTALL = install

INSTALLPREFIX ?= $(PREFIX)/usr
SBININSTALLDIR = $(INSTALLPREFIX)/sbin
ETCINSTALLDIR = $(PREFIX)/etc

BASEOBJS = minidlna.o upnphttp.o upnpdescgen.o upnpsoap.o \
           upnpreplyparse.o minixml.o \
           getifaddr.o daemonize.o upnpglobalvars.o \
           options.o minissdp.o uuid.o upnpevents.o \
           sql.o utils.o metadata.o scanner.o inotify.o \
           tivo_utils.o tivo_beacon.o tivo_commands.o \
           tagutils/textutils.o tagutils/misc.o tagutils/tagutils.o \
           playlist.o image_utils.o albumart.o log.o

ALLOBJS = $(BASEOBJS) $(LNXOBJS)

LIBS = -lpthread -lexif -ljpeg -lsqlite3 -lavformat -lid3tag -lFLAC -lvorbis
#STATIC_LINKING: LIBS = -lvorbis -logg -lm -lsqlite3 -lpthread -lexif -ljpeg -lFLAC -lm -lid3tag -lz -lavformat -lavutil -lavcodec -lm

TESTUPNPDESCGENOBJS = testupnpdescgen.o upnpdescgen.o

EXECUTABLES = minidlna testupnpdescgen

.PHONY:	all clean install depend

all:	$(EXECUTABLES)

clean:
	$(RM) $(ALLOBJS)
	$(RM) $(EXECUTABLES)
	$(RM) testupnpdescgen.o

install:	minidlna
	$(INSTALL) -d $(SBININSTALLDIR)
	$(INSTALL) minidlna $(SBININSTALLDIR)
	$(INSTALL) -d $(ETCINSTALLDIR)
	$(INSTALL) --mode=0644 minidlna.conf $(ETCINSTALLDIR)

minidlna:	$(BASEOBJS) $(LNXOBJS) $(LIBS)
	@echo Linking $@
	@$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $(BASEOBJS) $(LNXOBJS) $(LIBS)


testupnpdescgen:	$(TESTUPNPDESCGENOBJS)
	@echo Linking $@
	@$(CC) $(CFLAGS) -o $@ $(TESTUPNPDESCGENOBJS)

config.h:	genconfig.sh
	./genconfig.sh

depend:	config.h
	makedepend -f$(MAKEFILE_LIST) -Y \
	$(ALLOBJS:.o=.c) $(TESTUPNPDESCGENOBJS:.o=.c) 2>/dev/null

# DO NOT DELETE

minidlna.o: config.h upnpglobalvars.h minidlnatypes.h
minidlna.o: upnphttp.h upnpdescgen.h minidlnapath.h getifaddr.h upnpsoap.h
minidlna.o: options.h minissdp.h daemonize.h upnpevents.h log.h
upnphttp.o: config.h upnphttp.h upnpdescgen.h minidlnapath.h upnpsoap.h
upnphttp.o: upnpevents.h image_utils.h sql.h log.h icons.c
upnpdescgen.o: config.h upnpdescgen.h minidlnapath.h upnpglobalvars.h
upnpdescgen.o: minidlnatypes.h upnpdescstrings.h log.h
upnpsoap.o: config.h upnpglobalvars.h minidlnatypes.h log.h utils.h sql.h
upnpsoap.o: upnphttp.h upnpsoap.h upnpreplyparse.h getifaddr.h log.h
upnpreplyparse.o: upnpreplyparse.h minixml.h log.h
minixml.o: minixml.h
getifaddr.o: getifaddr.h log.h
daemonize.o: daemonize.h config.h log.h
upnpglobalvars.o: config.h upnpglobalvars.h
upnpglobalvars.o: minidlnatypes.h
options.o: options.h config.h upnpglobalvars.h
options.o: minidlnatypes.h
minissdp.o: config.h upnpdescstrings.h minidlnapath.h upnphttp.h
minissdp.o: upnpglobalvars.h minidlnatypes.h minissdp.h log.h
upnpevents.o: config.h upnpevents.h minidlnapath.h upnpglobalvars.h
upnpevents.o: minidlnatypes.h upnpdescgen.h log.h uuid.h
uuid.o: uuid.h
testupnpdescgen.o: config.h upnpdescgen.h
upnpdescgen.o: config.h upnpdescgen.h minidlnapath.h upnpglobalvars.h
upnpdescgen.o: minidlnatypes.h upnpdescstrings.h
scanner.o: upnpglobalvars.h metadata.h utils.h sql.h scanner.h log.h playlist.h
metadata.o: upnpglobalvars.h metadata.h albumart.h utils.h sql.h log.h
albumart.o: upnpglobalvars.h albumart.h utils.h image_utils.h sql.h log.h
tagutils/misc.o: tagutils/misc.h
tagutils/textutils.o: tagutils/misc.h tagutils/textutils.h log.h
tagutils/tagutils.o: tagutils/tagutils-asf.c tagutils/tagutils-flc.c tagutils/tagutils-plist.c tagutils/tagutils-misc.c
tagutils/tagutils.o: tagutils/tagutils-aac.c tagutils/tagutils-asf.h tagutils/tagutils-flc.h tagutils/tagutils-mp3.c tagutils/tagutils-wav.c
tagutils/tagutils.o: tagutils/tagutils-ogg.c tagutils/tagutils-aac.h tagutils/tagutils.h tagutils/tagutils-mp3.h tagutils/tagutils-ogg.h log.h
playlist.o: playlist.h
inotify.o: inotify.h playlist.h
image_utils.o: image_utils.h
tivo_utils.o: config.h tivo_utils.h
tivo_beacon.o: config.h tivo_beacon.h tivo_utils.h
tivo_commands.o: config.h tivo_commands.h tivo_utils.h
utils.o: utils.h
sql.o: sql.h
log.o: log.h

.SUFFIXES: .c .o

.c.o:
	@echo Compiling $*.c
	@$(CC) $(CFLAGS) -o $@ -c $< && exit 0;\
		echo "The following command failed:" 1>&2;\
		echo "$(CC) $(CFLAGS) -o $@ -c $<";\
		$(CC) $(CFLAGS) -o $@ -c $< &>/dev/null

=== debian/changelog ===
minidlna (1.0.18-5) unstable; urgency=low

  [ Piotr Górski ]
  * Fix FTBFS by linking to libogg (Closes: #618067)

  [ Benoît Knecht ]
  * Create /var/run/minidlna and put the PID file in it
    (Closes: #617722, #613853)
  * Build-depend on libogg-dev explicitly

  [ Justin Maggard ]
  * Identify Matroska regardless of its content

 -- Benoît Knecht <benoit.knecht@fsfe.org>  Tue, 15 Mar 2011 23:39:17 +0100

minidlna (1.0.18-4) unstable; urgency=low

  [ Justin Maggard ]
  * Complete/clarify license information

  [ Benoît Knecht ]
  * Update debian/copyright with the new license info
  * Fix FSF address in the GPL license headers
  * Add email addresses in the copyright file
  * Removing AUTHORS section from the man pages
  * Remove prerm script and let debhelper generate it
  * In postrm, only remove files created by minidlna
  * When minidlna is called with -R, only remove art_cache and files.db

 -- Benoît Knecht <benoit.knecht@fsfe.org>  Tue, 23 Nov 2010 20:26:32 +0100

minidlna (1.0.18-3) unstable; urgency=low

  * Fix the following issues (thanks to Michael Tautschnig for pointing them
    out):
    - Lintian warning (hyphen-used-as-minus-sign) in minidlna(1) man page
    - Lintian warning (maintainer-script-without-set-e) in {pre,post}{inst,rm}
    - Let {pre,post}inst take action in specific states only
    - Use values from /etc/default/minidlna in {pre,post}{inst,rm}

 -- Benoît Knecht <benoit.knecht@fsfe.org>  Wed, 03 Nov 2010 00:45:42 +0100

minidlna (1.0.18-2) unstable; urgency=low

  * Add libavutil-dev and libavcodec-dev to Build-Depends (thanks to Fernando
    Lemos)
  * Fix a typo in tagutils.c (thanks to Fernando Lemos)
  * Convert the minidlna man page to mdoc
  * Add a man page for minidlna.conf

 -- Benoît Knecht <benoit.knecht@fsfe.org>  Fri, 22 Oct 2010 13:06:02 +0200

minidlna (1.0.18-1) unstable; urgency=low

  * Initial release (Closes: #597228)
  * Adapted Makefile:
    - Use $(DESTDIR) as installation prefix
    - Add a distclean target
    - Custom log directory
  * Add a log_dir configuration option
  * Man page for minidlna(1)
  * Init script
  * Pre- and post- inst/rm scripts to add/remove a minidlna user and group

 -- Benoît Knecht <benoit.knecht@fsfe.org>  Fri, 15 Oct 2010 00:32:01 +0200

=== debian/control ===
Source: minidlna
Section: net
Priority: optional
Maintainer: Benoît Knecht <benoit.knecht@fsfe.org>
Build-Depends: debhelper (>= 7.0.50~), libavformat-dev, libavutil-dev,
 libavcodec-dev, libflac-dev, libvorbis-dev, libid3tag0-dev, libexif-dev,
 libjpeg62-dev, libsqlite3-dev, libogg-dev
Standards-Version: 3.9.1
Homepage: http://sourceforge.net/projects/minidlna/
#Vcs-Git: git://git.debian.org/collab-maint/minidlna.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/minidlna.git;a=summary

Package: minidlna
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser (>= 3.11), mawk | gawk
Description: lightweight DLNA/UPnP-AV server targeted at embedded systems
 MiniDLNA (aka ReadyDLNA) is server software with the aim of being
 fully compliant with DLNA/UPnP-AV clients.
 .
 The minidlna daemon serves media files (music, pictures, and video)
 to clients on your network.  Example clients include applications
 such as totem and xbmc, and devices such as portable media players,
 smartphones, and televisions.
 .
 MiniDLNA is a simple, lightweight alternative to mediatomb, but has
 fewer features. It does not have a web interface for administration
 and must be configured by editing a text file.

=== debian/watch ===
version=3
http://sf.net/minidlna/minidlna_(.+)_src\.tar\.gz debian uupdate

## minidlna 1.0.20-1

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
-# $Id: Makefile,v 1.26 2010/03/18 21:37:39 jmaggard Exp $
+# $Id: Makefile,v 1.31 2011/04/21 08:50:44 jmaggard Exp $
 # MiniDLNA project
 # http://sourceforge.net/projects/minidlna/
 # (c) 2008-2009 Justin Maggard
 # for use with GNU Make
 # To install use :
-# $ PREFIX=/dummyinstalldir make install
+# $ DESTDIR=/dummyinstalldir make install
 # or :
 # $ INSTALLPREFIX=/usr/local make install
 # or :
@@ -13,17 +13,21 @@
 #CFLAGS = -Wall -O -D_GNU_SOURCE -g -DDEBUG
 #CFLAGS = -Wall -g -Os -D_GNU_SOURCE
 CFLAGS = -Wall -g -O3 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 \
+	 -I/usr/include \
 	 -I/usr/include/ffmpeg \
 	 -I/usr/include/libavutil -I/usr/include/libavcodec -I/usr/include/libavformat \
 	 -I/usr/include/ffmpeg/libavutil -I/usr/include/ffmpeg/libavcodec -I/usr/include/ffmpeg/libavformat
+#STATIC_LINKING: CFLAGS += -DSTATIC
 #STATIC_LINKING: LDFLAGS = -static
 CC = gcc
 RM = rm -f
 INSTALL = install
 
-INSTALLPREFIX ?= $(PREFIX)/usr
+INSTALLPREFIX ?= $(DESTDIR)/usr
 SBININSTALLDIR = $(INSTALLPREFIX)/sbin
-ETCINSTALLDIR = $(PREFIX)/etc
+ETCINSTALLDIR = $(DESTDIR)/etc
+INITDINSTALLDIR = $(ETCINSTALLDIR)/init.d
+SUDOERSDIR = $(ETCINSTALLDIR)/sudoers.d
 
 BASEOBJS = minidlna.o upnphttp.o upnpdescgen.o upnpsoap.o \
            upnpreplyparse.o minixml.o \
@@ -36,14 +40,14 @@
 
 ALLOBJS = $(BASEOBJS) $(LNXOBJS)
 
-LIBS = -lpthread -lexif -ljpeg -lsqlite3 -lavformat -lid3tag -lFLAC -lvorbis
+LIBS = -lpthread -lexif -ljpeg -lsqlite3 -lavformat -lavutil -lavcodec -lid3tag -lFLAC -logg -lvorbis
 #STATIC_LINKING: LIBS = -lvorbis -logg -lm -lsqlite3 -lpthread -lexif -ljpeg -lFLAC -lm -lid3tag -lz -lavformat -lavutil -lavcodec -lm
 
 TESTUPNPDESCGENOBJS = testupnpdescgen.o upnpdescgen.o
 
 EXECUTABLES = minidlna testupnpdescgen
 
-.PHONY:	all clean install depend
+.PHONY:	all clean distclean install depend
 
 all:	$(EXECUTABLES)
 
@@ -52,11 +56,18 @@
 	$(RM) $(EXECUTABLES)
 	$(RM) testupnpdescgen.o
 
+distclean: clean
+	$(RM) config.h
+
 install:	minidlna
 	$(INSTALL) -d $(SBININSTALLDIR)
 	$(INSTALL) minidlna $(SBININSTALLDIR)
 	$(INSTALL) -d $(ETCINSTALLDIR)
-	$(INSTALL) --mode=0644 minidlna.conf $(ETCINSTALLDIR)
+	$(INSTALL) -d $(INITDINSTALLDIR)
+	$(INSTALL) -d $(SUDOERSDIR)
+	$(INSTALL) --mode=0666 minidlna.conf $(ETCINSTALLDIR)
+	$(INSTALL) --mode=0755 linux/mdlna $(INITDINSTALLDIR)
+	$(INSTALL) --mode=0644 minidlna.sudoers $(SUDOERSDIR)
 
 minidlna:	$(BASEOBJS) $(LNXOBJS) $(LIBS)
 	@echo Linking $@
@@ -114,7 +125,7 @@
 image_utils.o: image_utils.h
 tivo_utils.o: config.h tivo_utils.h
 tivo_beacon.o: config.h tivo_beacon.h tivo_utils.h
-tivo_commands.o: config.h tivo_commands.h tivo_utils.h
+tivo_commands.o: config.h tivo_commands.h tivo_utils.h utils.h
 utils.o: utils.h
 sql.o: sql.h
 log.o: log.h

=== debian/changelog ===
minidlna (1.0.20-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Karl Wintermann <karl@rx-51.de>  Fri,  8 Jul 2011 13:04:40 -0700

=== debian/control ===
Source: minidlna
Section: user/network
Priority: optional
Maintainer: Karl Wintermann <karl@rx-51.de>
Build-Depends: debhelper (>= 5), libavcodec-dev, libavformat-dev, libavutil-dev, libflac-dev, libvorbis-dev, libogg-dev, libid3tag0-dev, libexif-dev, libjpeg62-dev, libsqlite3-dev
Standards-Version: 3.7.2

Package: minidlna
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: DLNA Server
 MiniDLNA is server software with the 
 aim of being fully compliant with DLNA/UPnP-AV clients.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/minidlna.sgml > minidlna.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/minidlna.
	$(MAKE) DESTDIR=$(CURDIR)/debian/minidlna install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## minidlna 1.0.21+dfsg

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,6 @@
 #CFLAGS = -Wall -O -D_GNU_SOURCE -g -DDEBUG
 #CFLAGS = -Wall -g -Os -D_GNU_SOURCE
 CFLAGS = -Wall -g -O3 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 \
-	 -I/usr/include \
 	 -I/usr/include/ffmpeg \
 	 -I/usr/include/libavutil -I/usr/include/libavcodec -I/usr/include/libavformat \
 	 -I/usr/include/ffmpeg/libavutil -I/usr/include/ffmpeg/libavcodec -I/usr/include/ffmpeg/libavformat
@@ -26,8 +25,6 @@
 INSTALLPREFIX ?= $(DESTDIR)/usr
 SBININSTALLDIR = $(INSTALLPREFIX)/sbin
 ETCINSTALLDIR = $(DESTDIR)/etc
-INITDINSTALLDIR = $(ETCINSTALLDIR)/init.d
-SUDOERSDIR = $(ETCINSTALLDIR)/sudoers.d
 
 BASEOBJS = minidlna.o upnphttp.o upnpdescgen.o upnpsoap.o \
            upnpreplyparse.o minixml.o \
@@ -63,11 +60,7 @@
 	$(INSTALL) -d $(SBININSTALLDIR)
 	$(INSTALL) minidlna $(SBININSTALLDIR)
 	$(INSTALL) -d $(ETCINSTALLDIR)
-	$(INSTALL) -d $(INITDINSTALLDIR)
-	$(INSTALL) -d $(SUDOERSDIR)
-	$(INSTALL) --mode=0666 minidlna.conf $(ETCINSTALLDIR)
-	$(INSTALL) --mode=0755 linux/mdlna $(INITDINSTALLDIR)
-	$(INSTALL) --mode=0644 minidlna.sudoers $(SUDOERSDIR)
+	$(INSTALL) --mode=0644 minidlna.conf $(ETCINSTALLDIR)
 
 minidlna:	$(BASEOBJS) $(LNXOBJS) $(LIBS)
 	@echo Linking $@

=== debian/changelog ===
minidlna (1.0.21+dfsg-1ubuntu1) precise; urgency=low

  * Build-depend on libjpeg-dev rather than libjpeg62-dev.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 13 Nov 2011 15:19:58 +0000

minidlna (1.0.21+dfsg-1) unstable; urgency=low

  * New upstream version (1.0.21)
  * Fix typo in minidlna(1) man page
  * Document the new root_container option in minidlna.conf(5)
  * Fix FTBFS on kfreebsd:
    - Remove FreeBSD version test in genconfig.sh
    - Include linux/limits.h on Linux only
    - Make inotify support optional
    - Compile inotify support on Linux only
    - Use SYS_clock_gettime instead of __NR_clock_gettime
    - Define MSG_MORE if it doesn't exist
    - Get IP and MAC addresses in a non Linux-specific way
  * Fix runtime failures on kfreebsd:
    - Do not use sendfile if it's not implemented
    - Do not let make_dir fail on EISDIR
  * Add a script and Debian's SVG logo to make a DFSG-compatible icons.c file

 -- Benoît Knecht <benoit.knecht@fsfe.org>  Fri, 22 Jul 2011 11:50:40 +0200

minidlna (1.0.20+dfsg-2) unstable; urgency=low

  * Correct Version Control System links
  * Document the force-reload option of the init script
  * Install upstream changelog
  * Comply with DEP-5 revision 174

 -- Benoît Knecht <benoit.knecht@fsfe.org>  Sat, 02 Jul 2011 14:16:11 +0200

minidlna (1.0.20+dfsg-1) unstable; urgency=low

  * Imported Upstream version 1.0.20 (Closes: #629140)
  * Make source dfsg clean (Closes: #628952)
  * Better document the media_dir configuration option (Closes: #626835)
  * Don't let the configuration fail at compile time on kFreeBSD and Hurd
  * Update copyright information (and use DEP-5 version 174)
  * Add links to the git repository of the debian package
  * Bump Standards-Version to 3.9.2 (no changes)
  * Raise debhelper compatibility level to 8

 -- Benoît Knecht <benoit.knecht@fsfe.org>  Wed, 29 Jun 2011 21:20:04 +0200

minidlna (1.0.19-1) unstable; urgency=low

  * New upstream version 1.0.19

 -- Benoît Knecht <benoit.knecht@fsfe.org>  Thu, 24 Mar 2011 16:45:08 +0100

=== debian/control ===
Source: minidlna
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Benoît Knecht <benoit.knecht@fsfe.org>
Build-Depends: debhelper (>= 8), libavformat-dev, libavutil-dev,
 libavcodec-dev, libflac-dev, libvorbis-dev, libid3tag0-dev, libexif-dev,
 libjpeg-dev, libsqlite3-dev, libogg-dev
Standards-Version: 3.9.2
Homepage: http://sourceforge.net/projects/minidlna/
Vcs-Git: git://gitorious.org/debian-pkg/minidlna.git
Vcs-Browser: https://gitorious.org/debian-pkg/minidlna

Package: minidlna
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser (>= 3.11), mawk | gawk
Description: lightweight DLNA/UPnP-AV server targeted at embedded systems
 MiniDLNA (aka ReadyDLNA) is server software with the aim of being
 fully compliant with DLNA/UPnP-AV clients.
 .
 The minidlna daemon serves media files (music, pictures, and video)
 to clients on your network.  Example clients include applications
 such as totem and xbmc, and devices such as portable media players,
 smartphones, and televisions.
 .
 MiniDLNA is a simple, lightweight alternative to mediatomb, but has
 fewer features. It does not have a web interface for administration
 and must be configured by editing a text file.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## minidlna 1.0.24+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.31 2011/04/21 08:50:44 jmaggard Exp $
+# $Id: Makefile,v 1.31.2.1 2012/01/17 22:49:01 jmaggard Exp $
 # MiniDLNA project
 # http://sourceforge.net/projects/minidlna/
 # (c) 2008-2009 Justin Maggard
@@ -59,6 +59,8 @@
 install:	minidlna
 	$(INSTALL) -d $(SBININSTALLDIR)
 	$(INSTALL) minidlna $(SBININSTALLDIR)
+
+install-conf:
 	$(INSTALL) -d $(ETCINSTALLDIR)
 	$(INSTALL) --mode=0644 minidlna.conf $(ETCINSTALLDIR)

=== debian/changelog ===
minidlna (1.0.24+dfsg-1) unstable; urgency=low

  * New upstream version (Closes: #661259)
    - Fix playlist browsing with no SortOrder specified
    - Fix inotify detection of caption file removal
    - Handle an empty DeviceID from Zyxel media player SOAP request
    - Fix false positives in playlist caching optimization when we have
      duplicate file names in different directories
    - Trim the camera model name extracted from EXIF tags
    - Add support for user-configurable log level settings
    - Add DLNA.ORG_FLAGS support
  * Update the minidlna.conf(5) man page with new options
  * Update the default minidlna.conf configuration file accordingly
  * Bump Standards-Version to 3.9.3
    - Use /run instead of /var/run by default
  * Use debhelper compat 9
  * Update the DEP-5 Format URL in debian/copyright

 -- Benoît Knecht <benoit.knecht@fsfe.org>  Thu, 01 Mar 2012 17:39:15 +0100

minidlna (1.0.23+dfsg-1) unstable; urgency=low

  * New upstream version (Closes: #659871)
    - Enable the subtitle menu on some Samsung TV's
    - Add subtitle support for Panasonic TV's
    - Add workarounds for LifeTab tablets' bad behavior
    - Speed up playlist parsing
    - Make metadata-based virtual containers case insensitive
    - Add folder art support (very few clients support this though)
    - Improve trimming of quotation marks
    - Fix SRT caption support with the latest Samsung Series D firmware
    - Fix subtitles on LG TV's for items whose titles don't have a dot in
      them
    - Add support for the av:mediaClass tag, so some Sony devices can filter
      items by media type
    - Fix inotify detection issues on first-level folders
    - Work around LifeTab's broken DLNA support
    - Add image rotation support during resize (mostly useful for TiVo)
  * Add copyright information for new upstream files
  * Remove versioned dependency on adduser and lsb-base, as both are satisfied
    even in oldstable
  * Remove dependency on (gawk | mawk) as awk is depended on by an essential
    package (thanks to Jakub Wilk)
  * Output messages to stderr in postrm (thanks to Jakub Wilk)
  * Improve the default configuration file with more detailed comments, that
    should help avoid confusion about some options (Closes: #653221)

 -- Benoît Knecht <benoit.knecht@fsfe.org>  Fri, 17 Feb 2012 16:18:19 +0100

minidlna (1.0.21+dfsg-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Replace libjpeg62-dev build-dep with libjpeg-dev (closes: #643636)

 -- Julien Cristau <jcristau@debian.org>  Sun, 29 Jan 2012 18:36:58 +0100

minidlna (1.0.22+dfsg-1) UNRELEASED; urgency=low

  * Imported Upstream version 1.0.22
  * Make sure '/etc/init.d/minidlna status' reports the correct status
    (Closes: #650328)
  * DEP-5 debian/copyright:
    - Space-delimited list in Files headers
    - Bump Format URL to revision 213 (no changes)
  * Build-Depend on libjpeg-dev instead of libjpeg62-dev, as part of the
    transition from libjpeg62 to libjpeg8 (Closes: #643636)
  * Document the 'listening_ip' configuration option
  * Add a Description and rewrite the Short-Description of the init script

 -- Benoît Knecht <benoit.knecht@fsfe.org>  Wed, 21 Dec 2011 14:06:39 +0100

minidlna (1.0.21+dfsg-2) UNRELEASED; urgency=low

  * Depend on lsb-base (required by the init script)

 -- Benoît Knecht <benoit.knecht@fsfe.org>  Thu, 04 Aug 2011 20:04:57 +0200

=== debian/control ===
Source: minidlna
Section: net
Priority: optional
Maintainer: Benoît Knecht <benoit.knecht@fsfe.org>
Build-Depends: debhelper (>= 9),
               libavcodec-dev,
               libavformat-dev,
               libavutil-dev,
               libexif-dev,
               libflac-dev,
               libid3tag0-dev,
               libjpeg-dev,
               libogg-dev,
               libsqlite3-dev,
               libvorbis-dev
Standards-Version: 3.9.3
Homepage: http://sourceforge.net/projects/minidlna/
Vcs-Git: git://gitorious.org/debian-pkg/minidlna.git
Vcs-Browser: https://gitorious.org/debian-pkg/minidlna

Package: minidlna
Architecture: any
Depends: adduser,
         lsb-base,
         ${misc:Depends},
         ${shlibs:Depends}
Description: lightweight DLNA/UPnP-AV server targeted at embedded systems
 MiniDLNA (aka ReadyDLNA) is server software with the aim of being
 fully compliant with DLNA/UPnP-AV clients.
 .
 The minidlna daemon serves media files (music, pictures, and video)
 to clients on your network.  Example clients include applications
 such as totem and xbmc, and devices such as portable media players,
 smartphones, and televisions.
 .
 MiniDLNA is a simple, lightweight alternative to mediatomb, but has
 fewer features. It does not have a web interface for administration
 and must be configured by editing a text file.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_auto_install:
	# The upstream install target does not install the configuration file,
	# so we call make manually, adding the install-conf target.
	DESTDIR=debian/minidlna make install install-conf

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
http://sf.net/minidlna/minidlna_(.+)_src\.tar\.gz debian uupdate

## minidlna 1.1.2+dfsg

=== debian/changelog ===
minidlna (1.1.2+dfsg-1~ubuntu14.04.1) trusty-backports; urgency=medium

  * No-change backport to trusty (LP: #1318994)

 -- Felix Geyer <debfx@ubuntu.com>  Wed, 14 May 2014 19:02:25 +0200

minidlna (1.1.2+dfsg-1) unstable; urgency=low

  * New upstream version (Closes: #711234)
  * The new upstream version is no longer affected by CVE-2013-2745,
    CVE-2013-2738 or CVE-2013-2739 (Closes: #717131)
  * Use SIGUSR1 instead of SIGHUP to reopen the log file after a logrotate,
    since upstream is now using SIGHUP to reload the network interfaces
  * Update copyright information for upstream files
  * Bump Standards-Version to 3.9.5 (no changes required)
  * Override lintian warning debian-watch-may-check-gpg-signature, as upstream
    doesn't sign the source tarball

 -- Benoît Knecht <benoit.knecht@fsfe.org>  Mon, 28 Apr 2014 12:05:41 +0200

minidlna (1.1.0+dfsg-1) UNRELEASED; urgency=low

  * New upstream version
    - Add support for other operating systems
    - Switch to autoconf from our handcrafted genconfig.sh
    - Add configuration option for UUID
    - Add configuration option to specify the user to run as
    - Add support for limiting a media dir to multiple media types
    - Force a rescan if we detect a new or missing media_dir entry
    - Fix crash caused by certain TiVo clients
    - Fix crash bug on video files with some ffmpeg library versions
    - Add support for TiVo MPEG-TS files
    - Add some logging and forking tweaks to work better with systemd
    - Validate or escape user input to prevent SQL injection
    - Add forced sorting support for Panasonic devices
  * Upstream renamed /usr/bin/minidlna to /usr/bin/minidlnad
    - Update the init script accordingly
    - Update the documentation accordingly; minidlna(1) is now called
      minidlnad(1), but the former still points to the latter
  * Remove warnings about needing to force a rescan after changing media_dir
    from the documentation, as it is now done automatically
  * Use dh-autoreconf to deal with the new upstream build system
  * Add logrotate support (Closes: #697613)
    - minidlnad reopens its log file upon receiving SIGHUP
    - Ship a logrotate configuration file that rotates /var/log/minidlna.log
      weekly
    - Remove rotated log files when purging the package
  * Use /var/cache/minidlna as the default db_dir
    - Move the database file and art cache to this new location if necessary
      in postinst
  * Bump Standards-Version to 3.9.4
    - Depend on initscripts (>= 2.88dsf-13.3) since we use /run
  * Do not source /lib/init/vars.sh in the init script
  * Update debian/copyright with new upstream files

 -- Benoît Knecht <benoit.knecht@fsfe.org>  Sun, 23 Jun 2013 08:26:12 +0200

minidlna (1.0.25+dfsg-1) UNRELEASED; urgency=low

  * New upstream version
    - Fix a couple crash bugs on malformed WAV files
    - Forcibly tweak the model number for Xbox360 clients, or they might
      ignore us
    - Enable all network interfaces by default if none were specified
    - Add flag to force downscaled thumbnails rather than using embedded ones
    - Add DirecTV client detection, and fix image resolution issue
    - Add support for the latest ffmpeg/libav library versions
    - Fix a potential crash on requests for a resize of a non-existent image
    - Make DeviceID checking more permissive for Sagem Radio
  * Update the documentation with new options and various corrections in the
    following places:
    - minidlna(1) man page;
    - minidlna.conf(5) man page;
    - output of "minidlna -h";
    - default configuration file.
  * Display the user minidlna is running as in the default friendly name
  * Adapt "Get IP and MAC addresses in a non Linux-specific way" patch to
    upstream changes
  * Fix Makefile so that hardening flags are actually passed to the compiler
  * preinst: Make sure that the home directory exists and is owned by the
    correct user:group
  * postrm: Do not remove the minidlna user and group on purge
  * postrm: During purge, only remove the $HOME directory if it's
    /var/lib/minidlna; we don't want to mess with home directories if the
    admin changed the default
  * postrm: Do not remove the configuration file in the purge case, it has
    already been removed by dpkg before the script is called
  * Update period of copyright for debian/*
  * Replace `...` with $(...) in all maintainer scripts
  * Do not include scripts specific to the git repository in the debian/
    directory in the source package
  * Use a .orig suffix in the top-level directory name of the .orig.tar.gz
    archive, per Best Packaging Practices 6.7.8.2 (thanks to Bart Martens)

 -- Benoît Knecht <benoit.knecht@fsfe.org>  Thu, 26 Jul 2012 17:30:08 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,9 @@
 Section: net
 Priority: optional
 Maintainer: Benoît Knecht <benoit.knecht@fsfe.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: autopoint,
+               debhelper (>= 9),
+               dh-autoreconf,
                libavcodec-dev,
                libavformat-dev,
                libavutil-dev,
@@ -13,7 +15,7 @@
                libogg-dev,
                libsqlite3-dev,
                libvorbis-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://sourceforge.net/projects/minidlna/
 Vcs-Git: git://gitorious.org/debian-pkg/minidlna.git
 Vcs-Browser: https://gitorious.org/debian-pkg/minidlna
@@ -21,6 +23,7 @@
 Package: minidlna
 Architecture: any
 Depends: adduser,
+         initscripts (>= 2.88dsf-13.3),
          lsb-base,
          ${misc:Depends},
          ${shlibs:Depends}

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PREFIX = /usr

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	./configure --prefix=$(PREFIX) --sbindir=$(PREFIX)/bin

override_dh_installchangelogs:
	dh_installchangelogs NEWS

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
http://sf.net/minidlna/minidlna-(.+)\.tar\.gz debian uupdate

## minidlna 1.1.4+dfsg

=== debian/changelog ===
minidlna (1.1.4+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #774421, #698312, #764278, #779577)
  * debian/control: Set myself as maintainer (Closes: #779429).
  * debian/control: Point Vcs-* to collab-maint.
  * Move debian/make_icons.sh and debian/openlogo-nd.svg to debian/extra.
  * debian/copyright: Update file, fix some issues.
  * debian/copyright: Add myself as copyright holder for debian/*.
  * Remove debian/gbp.conf, debian/make_patches.sh, debian/mbox2dep3.py.
  * Update Debian patches.
     + Patches removed (do ship patched debian/minidlna.conf instead):
       0001-Add-a-comment-about-listening_ip-in-minidlna.conf.patch,
       0002-Improve-the-default-configuration-file.patch,
       0003-Update-the-default-configuration-file.patch,
       0006-Update-the-default-configuration-file.patch,
       0009-Remove-warning-about-media_dir-from-minidlna.conf.patch,
       0010-Use-var-cache-minidlna-as-the-default-db_dir.patch
     + Patches renamed and refreshed:
       0004-Use-run-instead-of-var-run-to-store-runtime-files.patch ->
         01-run-instead-of-var-run.patch
       0007-Use-USER-instead-of-LOGNAME-in-the-default-friendly_.patch ->
         02-use-USER-instead-of-LOGNAME.patch
       0011-Make-sure-the-database-is-closed-after-scanning.patch ->
         03-make-sure-the-database-is-closed-after-scanning.patch
       0005-Update-help-output-shown-by-minidlna-h.patch ->
         05-update-help-output.patch
     + Patch renamed and rewritten:
       0008-Reload-log-file-upon-receiving-SIGHUP.patch ->
         04-reload-log-file-on-SIGUSR2.patch (Closes: #747853,  #749265)
  * Add 06-fix-setlocale.patch: Fix encoding issues. (Closes: #770120)
  * debian/control: Bump Standard's version.
  * debian/rules: Install to /usr/sbin, not to /usr/bin. Also (Closes: #760792).
  * debian/minidlna.init: Rewrite init script. (Based on one from dh_make.)
  * Install debian/minidlna.conf, not upstream one.

 -- Alexander GQ Gerasiov <gq@debian.org>  Mon, 02 Mar 2015 19:14:08 +0300

minidlna (1.1.2+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with libav10.
    Add 0012-Fix-FTBFS-with-libav10.patch from upstream.
    Closes: #747813, #751011.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 16 Jun 2014 10:59:59 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: minidlna
 Section: net
 Priority: optional
-Maintainer: Benoît Knecht <benoit.knecht@fsfe.org>
+Maintainer: Alexander GQ Gerasiov <gq@debian.org>
 Build-Depends: autopoint,
                debhelper (>= 9),
                dh-autoreconf,
@@ -15,10 +15,10 @@
                libogg-dev,
                libsqlite3-dev,
                libvorbis-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://sourceforge.net/projects/minidlna/
-Vcs-Git: git://gitorious.org/debian-pkg/minidlna.git
-Vcs-Browser: https://gitorious.org/debian-pkg/minidlna
+Vcs-Git: git://anonscm.debian.org/collab-maint/minidlna.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/minidlna.git;a=summary
 
 Package: minidlna
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with autoreconf

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## minidlna 1.1.5+dfsg

=== debian/changelog ===
minidlna (1.1.5+dfsg-2ubuntu0.1) xenial-security; urgency=medium

  * SECURITY UPDATE: Insufficient input sanitization vulnerability
    - debian/patches/CVE-2020-12695.patch: upnphttp: Validate SUBSCRIBE
      callback URL.
    - debian/patches/CVE-2020-28926.patch: upnphttp: Disallow negative HTTP
      chunk lengths.
    - CVE-2020-12695
    - CVE-2020-28926
  * Other fixes:
    - debian/patches/15-use-newer-ip_multicast_if-api.patch: Use newer
    API for IP_MULTICAST_IF which allows one to specify interface by
    index, not by address.

 -- Paulo Flabiano Smorigo <pfsmorigo@canonical.com>  Mon, 01 Feb 2021 14:22:43 +0000

minidlna (1.1.5+dfsg-2) unstable; urgency=high

  * postinst: Fix user setup. (Closes: #810343.)
  * minidlnad.1: Clarify -S option behavior. (Closes: #805583)

 -- Alexander GQ Gerasiov <gq@debian.org>  Mon, 11 Jan 2016 13:58:27 +0300

minidlna (1.1.5+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #790927.)
  * debian/patches refreshed,
    08_fix_multicast_from_other_subnet.patch and
    09-check-embedded-art.patch removed: fixed upstream.
  * debian/control: Remove initscripts dependency (Closes: #804979).
  * Refactor maintainer's scrips: remove conffile parsing and dpkg-statoverride usage.
  * minidlnad.1: Update pidfile location. (Closes: #805582.)

 -- Alexander GQ Gerasiov <gq@debian.org>  Sun, 03 Jan 2016 16:45:53 +0300

minidlna (1.1.4+dfsg-4) unstable; urgency=medium

  * Remove wrong 10-fix-FTBFS-on-Hurd.patch, it's senseless.
  * Add 10-db_dir-should-not-affect-log_dir.patch (Closes: #786776)

 -- Alexander GQ Gerasiov <gq@debian.org>  Wed, 27 May 2015 16:33:45 +0300

minidlna (1.1.4+dfsg-3) unstable; urgency=medium

  * Add debian/patches/09-check-embedded-art.patch: Better handle embedded
    art in mp4. (Closes: #781811)
  * 08_fix_multicast_from_other_subnet.patch updated to not use IP_PKTINFO
    on systems without it (e.g. kFreeBSD). Fixes FTBFS on non-linux arches.
  * Add 10-fix-FTBFS-on-Hurd.patch: Fix FTBFS on GNU/Hurd.

 -- Alexander GQ Gerasiov <gq@debian.org>  Sun, 12 Apr 2015 18:33:47 +0300

minidlna (1.1.4+dfsg-2) unstable; urgency=medium

  * debian/changelog: Add missing record about debian/watch.
  * Add 07-fix-multi-artist-album-handling.patch, thanks goes to Florian Will.
    (Closes: #734383)
  * Remove listening_ip/listening_address options from manpages and default
    config. (Closes: #756169)
  * Update minidlna.conf.5 and minidlna.conf with new options and some comment
    fixes.
  * Add 08_fix_multicast_from_other_subnet.patch: Fix multicast from other
    subnets. (Closes: #749090)

 -- Alexander GQ Gerasiov <gq@debian.org>  Sat, 14 Mar 2015 19:59:24 +0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: minidlna
 Section: net
 Priority: optional
-Maintainer: Alexander GQ Gerasiov <gq@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alexander GQ Gerasiov <gq@debian.org>
 Build-Depends: autopoint,
                debhelper (>= 9),
                dh-autoreconf,
@@ -23,7 +24,6 @@
 Package: minidlna
 Architecture: any
 Depends: adduser,
-         initscripts (>= 2.88dsf-13.3),
          lsb-base,
          ${misc:Depends},
          ${shlibs:Depends}

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
http://sf.net/minidlna/minidlna-([0-9\.]+)\.tar\.gz debian uupdate

## minidlna 1.1.6+dfsg

=== debian/changelog ===
minidlna (1.1.6+dfsg-1) unstable; urgency=medium

  * debian/minidlna.conf: Fix default values and update comments.
  * debian/minidlna.conf.5: Reformat text, add example from upstream's manpage.
  * debian/minidlna.conf, debian/minidlna.conf.5, debian/NEWS: New config option
    wide_links.
  * debian/patches: Patches refreshed.
  * debian/patches/06-fix-setlocale.patch removed, fixed upstream.
  * Add 11-http-parse.patch and 12-libavformat-57.patch from upstream's git.
  * debian/copyright: Misc small fixes and updates.
  * debian/control: Use secure (https) links in Homepage and Vcs-* fields.
  * Add 13-missing-ru-po.patch: Add missing translation string to ru.po.

 -- Alexander GQ Gerasiov <gq@debian.org>  Wed, 25 Jan 2017 19:35:22 +0300

minidlna (1.1.5+dfsg-4) unstable; urgency=medium

  * debian/minidlna.postinst: Do not fail if cache_dir is absent.

 -- Alexander GQ Gerasiov <gq@debian.org>  Mon, 01 Aug 2016 16:45:51 +0300

minidlna (1.1.5+dfsg-3) unstable; urgency=medium

  * Control /var/lib/minidlna with debhelper/dpkg. (Closes: #820286.)
  * Bump Standard's version, no changes needed.

 -- Alexander GQ Gerasiov <gq@debian.org>  Thu, 21 Apr 2016 00:25:41 +0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: minidlna
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alexander GQ Gerasiov <gq@debian.org>
+Maintainer: Alexander GQ Gerasiov <gq@debian.org>
 Build-Depends: autopoint,
                debhelper (>= 9),
                dh-autoreconf,
@@ -16,10 +15,10 @@
                libogg-dev,
                libsqlite3-dev,
                libvorbis-dev
-Standards-Version: 3.9.6
-Homepage: http://sourceforge.net/projects/minidlna/
-Vcs-Git: git://anonscm.debian.org/collab-maint/minidlna.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/minidlna.git;a=summary
+Standards-Version: 3.9.8
+Homepage: https://sourceforge.net/projects/minidlna/
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/minidlna.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/minidlna.git
 
 Package: minidlna
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -8,3 +8,6 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
+
+override_dh_auto_configure:
+	dh_auto_configure -- --with-os-version=$(shell cut -d" " -f1 /etc/issue.net)

## minidlna 1.2.0+dfsg

=== debian/changelog ===
minidlna (1.2.0+dfsg-2) unstable; urgency=medium

  * debian/minidlnad.1: Mention -r option.
  * debian/minidlna.default: Add -r option. Thanks to Dirk Schmitt for
    suggestion. (Closes: #870868).
  * debian/NEWS: Mention -r option in defaults.
  * debian/copyright: Fix avahi.? entry.
  * minidlna.conf, minidlna.conf.5: Add new tivo_discovery option.
  * debian/minidlna.conf.5: Small fixes.

 -- Alexander GQ Gerasiov <gq@debian.org>  Sun, 13 Aug 2017 19:17:06 +0300

minidlna (1.2.0+dfsg-1) unstable; urgency=medium

  * 11-http-parse.patch removed: fixed upstream.
  * 12-libavformat-57.patch removed: fixed upstream.
  * debian/patches refreshed.
  * debian/copyright updated.
  * Bump Standards-Version to 4.0.0 (no additional changes needed).

 -- Alexander GQ Gerasiov <gq@debian.org>  Fri, 04 Aug 2017 22:50:21 +0300

minidlna (1.1.6+dfsg-2) unstable; urgency=medium

  * minidlna.conf, minidlna.conf.5: Clarify meaning of user and uuid options.
    (Closes: #854802)
  * minidlna.conf.5: Fix format issue with network_interface option.
  * Fix typos in debian/NEWS (Closes: #858012).
  * minidlna.conf.5: Fix warnings (thanks, Lintian).

 -- Alexander GQ Gerasiov <gq@debian.org>  Wed, 12 Apr 2017 14:09:22 +0300

## minidlna 1.2.1+dfsg

=== debian/changelog ===
minidlna (1.2.1+dfsg-2ubuntu0.1) groovy-security; urgency=medium

  * SECURITY UPDATE: Insufficient input sanitization vulnerability
    - debian/patches/CVE-2020-12695.patch: upnphttp: Validate SUBSCRIBE
      callback URL.
    - debian/patches/CVE-2020-28926.patch: upnphttp: Disallow negative HTTP
      chunk lengths.
    - CVE-2020-12695
    - CVE-2020-28926

 -- Paulo Flabiano Smorigo <pfsmorigo@canonical.com>  Tue, 02 Feb 2021 14:43:45 +0000

minidlna (1.2.1+dfsg-2) unstable; urgency=medium

  [ Alexander Gerasiov ]
  * Add 14-fix-gcc10-ftbfs.patch: Fixes FTBFS with gcc10 (Closes: #957541).
  * Move logs to /var/log/minidlna dir.
  * Remove unused START_DAEMON var from default file (Closes: #879541).
  * Add systemd service file (Closes: #950270).
  * Bump debhelper's version to 12.
  * Bump Standards-Version.
  * d/control: Update Vcs headers.
  * d/copyright: Secure links to format and homepage.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Update renamed lintian tag names in lintian overrides.
  * Set upstream metadata fields: Archive, Repository.

  [ Alexander Gerasiov ]
  * Add 15-use-newer-ip_multicast_if-api.patch: (Closes: #941410).
  * d/control: Update description (Closes: #927393).

 -- Alexander GQ Gerasiov <gq@debian.org>  Mon, 04 May 2020 14:01:19 +0300

minidlna (1.2.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Alexander GQ Gerasiov <gq@debian.org>  Sun, 27 Aug 2017 01:12:26 +0300

=== debian/control ===
Source: minidlna
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Alexander GQ Gerasiov <gq@debian.org>
Build-Depends: autopoint,
               debhelper-compat (= 12),
               libavcodec-dev,
               libavformat-dev,
               libavutil-dev,
               libexif-dev,
               libflac-dev,
               libid3tag0-dev,
               libjpeg-dev,
               libogg-dev,
               libsqlite3-dev,
               libvorbis-dev
Standards-Version: 4.5.0
Homepage: https://sourceforge.net/projects/minidlna/
Vcs-Git: https://salsa.debian.org/debian/minidlna.git
Vcs-Browser: https://salsa.debian.org/debian/minidlna.git

Package: minidlna
Architecture: any
Depends: adduser,
         lsb-base,
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: lightweight DLNA/UPnP-AV server targeted at embedded systems
 MiniDLNA (aka ReadyDLNA) is server software with the aim of being
 fully compliant with DLNA/UPnP-AV clients.
 .
 The minidlna daemon serves media files (music, pictures, and video) to
 clients on your network.  Example clients include applications such as
 totem and Kodi (xbmc), and devices such as portable media players,
 smartphones, and televisions (common part of SmartTV kit).
 .
 MiniDLNA is a simple, lightweight alternative to mediatomb, but has
 fewer features. It does not have a web interface for administration
 and must be configured by editing a text file.

## minidlna 1.2.1.1+dfsg

=== debian/changelog ===
minidlna (1.2.1.1+dfsg-2+deb10u2+dde) unstable; urgency=medium

  * update

 -- Alexander GQ Gerasiov <gq@debian.org>  Tue, 06 Jul 2021 10:01:28 +0800

minidlna (1.2.1.1+dfsg-2+deb10u2+dde) buster-security; urgency=medium

  * Non-maintainer upload.
  * Update version.

 -- wangpei <wangpei@uniontech.com>  Wed, 30 Jun 2021 14:31:23 +0800

minidlna (1.2.1+dfsg-2+deb10u2) buster-security; urgency=medium

  * d/minidlna.postrm: Do not fail on purge (Closes: #975372). This fixes the
    regression (from 1.2.1+dfsg-2) in stable archive after accidentially
    uploaded 1.2.1+dfsg-2+deb10u1.

 -- Alexander GQ Gerasiov <gq@debian.org>  Sun, 03 Jan 2021 19:16:43 +0300

minidlna (1.2.1+dfsg-2+deb10u1) buster-security; urgency=high

  * Add 0011-upnphttp-Disallow-negative-HTTP-chunk-lengths.patch
    CVE-2020-28926 (Closes: #976595).
  * Add 0012-upnphttp-Validate-SUBSCRIBE-callback-URL.patch
    CVE-2020-12695 (Closes: #976594).

 -- Alexander GQ Gerasiov <gq@debian.org>  Sat, 05 Dec 2020 20:21:18 +0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: minidlna
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alexander GQ Gerasiov <gq@debian.org>
+Maintainer: Alexander GQ Gerasiov <gq@debian.org>
 Build-Depends: autopoint,
                debhelper-compat (= 12),
                libavcodec-dev,

## minidlna 1.3.0%2Bdfsg

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_auto_configure:
	dh_auto_configure -- --with-os-version=$(shell cut -d" " -f1 /etc/issue.net) --with-log-path=/var/log/minidlna

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
https://sf.net/minidlna/minidlna-([0-9\.]+)\.tar\.gz debian uupdate
